Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Class DeploymentStatusImpl

    java.lang.Object
      com.sun.appserv.management.base.MapCapableBase
          com.sun.appserv.management.base.OperationStatusBase
              com.sun.appserv.management.deploy.DeploymentStatusImpl

All Implemented Interfaces:
  DeploymentStatus, MapCapable, OperationStatus

public final class DeploymentStatusImpl
extends OperationStatusBase
implements DeploymentStatus

Field Summary

Fields inherited from interface com.sun.appserv.management.deploy.DeploymentStatus
`ADDITIONAL_STATUS_KEY, DEPLOYMENT_STATUS_CLASS_NAME, MODULE_ID_KEY, PARENT_KEY, STAGE_DESCRIPTION_KEY, STAGE_STATUS_KEY, STAGE_STATUS_MESSAGE_KEY, STAGE_THROWABLE_KEY, STATUS_CODE_NOT_INITIALIZED, SUB_STAGES_KEY`

Fields inherited from interface com.sun.appserv.management.base.OperationStatus
`STATUS_CODE_FAILURE, STATUS_CODE_KEY, STATUS_CODE_SUCCESS, STATUS_CODE_WARNING, THROWABLE_KEY`

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Constructor Summary
`DeploymentStatusImpl(DeploymentStatus src)`
`DeploymentStatusImpl(int stageStatus, java.lang.String stageStatusMessage, java.lang.String stageDescription, java.util.Map optional)` Create a new instance.
`DeploymentStatusImpl(java.util.Map m)` Create a new instance.

Method Summary
`void` | `addSubStage(DeploymentStatus status)`
`boolean` | `equals(java.lang.Object rhs)`
`java.util.Map` | `getAdditionalStatus()`
`DeploymentStatus` | `getParent()`
`java.lang.String` | `getStageDescription()`
`int` | `getStageStatus()` Legal status codes include: OperationStatus#STATUS_CODE_SUCCESS OperationStatus#STATUS_CODE_FAILURE OperationStatus#STATUS_CODE_WARNING #STATUS_CODE_NOT_INITIALIZED
`java.lang.String` | `getStageStatusMessage()`
`java.lang.Throwable` | `getStageThrowable()`
`java.util.Iterator` | `getSubStages()` Get the list of sub stages for this deployment status
`void` | `setAdditionalStatus(java.util.Map additionalStatus)`
`void` | `setParent(DeploymentStatus parent)` set the parent status for this status if any
`void` | `setStageDescription(java.lang.String description)`
`void` | `setStageStatus(int status)`
`void` | `setStageStatusMessage(java.lang.String message)`
`void` | `setStageThrowable(java.lang.Throwable t)`
`protected boolean` | `validate()` Return true if internal state is valid, false otherwise.

Methods inherited from class com.sun.appserv.management.base.OperationStatusBase
`getStatusCode, getThrowable, setStatusCode, setThrowable`

Methods inherited from class com.sun.appserv.management.base.MapCapableBase
`asMap, checkInJavaUtil, checkLegalObject, checkLegalObject, checkValidType, getboolean, getBoolean, getByte, getField, getFile, getInteger, getMap, getMapClassName, getObject, getString, getStringArray, illegalObject, makeImmutable, putAll, putField, putFieldHook, toString, validateNullOrOfType, validateThrow`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.appserv.management.base.OperationStatus
`getStatusCode, getThrowable`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap, getMapClassName`

Constructor Detail

### DeploymentStatusImpl

    public DeploymentStatusImpl(DeploymentStatus src)

### DeploymentStatusImpl

    public DeploymentStatusImpl(java.util.Map m)

  Create a new instance. The Map must contain the following keyed values:
  - `MapCapable`.MAP_CAPABLE_TYPE_KEY with value DEPLOYMENT_STATUS_CLASS_NAME
  - STAGE_STATUS_KEY
  - STAGE_STATUS_MESSAGE_KEY
  The map may contain values keyed by any of the following:
  - SUB_STAGES_KEY
  - STAGE_THROWABLE_KEY
  - STAGE_DESCRIPTION_KEY

Parameters:
  `m` - a Map representing a DeploymentStatus

### DeploymentStatusImpl

    public DeploymentStatusImpl(int stageStatus,
                                java.lang.String stageStatusMessage,
                                java.lang.String stageDescription,
                                java.util.Map optional)

  Create a new instance. The 'optional' Map may contain any of the value keys as found in this( Map m ). Values supplied in the Map, if conflicting with other parameters, are overwritten in the resulting new DeploymentStatusImpl.

Parameters:
  `stageStatus` -
  `stageStatusMessage` -
  `stageDescription` -

Method Detail

### validate

    protected boolean validate()

  Description copied from class: `MapCapableBase`
  Return true if internal state is valid, false otherwise.

  Overrides:
    `validate` in class `OperationStatusBase`

### getStageDescription

    public java.lang.String getStageDescription()

  Specified by:
    `getStageDescription` in interface `DeploymentStatus`
  Returns:
    a meaningful i18ned stage description

### setStageDescription

    public void setStageDescription(java.lang.String description)

### getStageStatusMessage

    public java.lang.String getStageStatusMessage()

  Specified by:
    `getStageStatusMessage` in interface `DeploymentStatus`
  Returns:
    a meaningful i18ned reason for failure or warning

### setStageStatusMessage

    public void setStageStatusMessage(java.lang.String message)

### getStageStatus

    public int getStageStatus()

  Description copied from interface: `DeploymentStatus`
  Legal status codes include:
  - OperationStatus#STATUS_CODE_SUCCESS
  - OperationStatus#STATUS_CODE_FAILURE
  - OperationStatus#STATUS_CODE_WARNING
  - #STATUS_CODE_NOT_INITIALIZED

  Specified by:
    `getStageStatus` in interface `DeploymentStatus`
  Returns:
    the status for this stage (ignoring sub stages status)

### setStageStatus

    public void setStageStatus(int status)

### addSubStage

    public void addSubStage(DeploymentStatus status)

### getSubStages

    public java.util.Iterator getSubStages()

  Description copied from interface: `DeploymentStatus`
  Get the list of sub stages for this deployment status

  Specified by:
    `getSubStages` in interface `DeploymentStatus`
  Returns:
    an Iterator for the sub stages

### getParent

    public DeploymentStatus getParent()

  Specified by:
    `getParent` in interface `DeploymentStatus`
  Returns:
    the parent status for this status if any

### setParent

    public void setParent(DeploymentStatus parent)

  Description copied from interface: `DeploymentStatus`
  set the parent status for this status if any

  Specified by:
    `setParent` in interface `DeploymentStatus`
  Parameters:
    `parent` - DeploymentStatus

### getStageThrowable

    public java.lang.Throwable getStageThrowable()

  Specified by:
    `getStageThrowable` in interface `DeploymentStatus`
  Returns:
    the exception if an exception was thrown during the execution of the stage

### setStageThrowable

    public void setStageThrowable(java.lang.Throwable t)

### getAdditionalStatus

    public java.util.Map getAdditionalStatus()

  Specified by:
    `getAdditionalStatus` in interface `DeploymentStatus`
  Returns:
    the map storing additional properties for this status

### setAdditionalStatus

    public void setAdditionalStatus(java.util.Map additionalStatus)

### equals

    public boolean equals(java.lang.Object rhs)

  Overrides:
    `equals` in class `MapCapableBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.